import {DatePicker} from 'antd'
import moment from 'moment'
import React from "react"
const {RangePicker} = DatePicker
moment.locale('en');

export default class Picker extends React.Component {
  render(){
    return(
      <RangePicker
        className="ks-range-picker"
        allowClear={false}
        disabledDate={(current) => (current && current > moment().endOf('day'))}
        getCalendarContainer={() => (this.props.dataInput)}
        onChange={this.props.timeOnChange}
      />
    )
  }
}